version: 1.7.0-rc.2
files:
  - url: Cherry-Studio-1.7.0-rc.2-x64-setup.exe
    sha512: 2FqLZUv2COP1H6cP3l67e9Ceel0pwW9JbtdGM3Dg8BzC4SW9vbqmH0nWih2syjkoWI0dn6aqhFhBpNpS90XcgA==
    size: 133536331
  - url: Cherry-Studio-1.7.0-rc.2-arm64-setup.exe
    sha512: 3GrPCAzNCs2jWtMzmpLeK0FGH1c53t/rN7nJ1v6U76XgnQDV4FmbZ2fcy33nY3+vqPV4fPS++lRiNaKm6tgGqQ==
    size: 131702289
path: Cherry-Studio-1.7.0-rc.2-x64-setup.exe
sha512: 2FqLZUv2COP1H6cP3l67e9Ceel0pwW9JbtdGM3Dg8BzC4SW9vbqmH0nWih2syjkoWI0dn6aqhFhBpNpS90XcgA==
releaseNotes: |
  <!--LANG:en-->
  What's New in v1.7.0-rc.2

  ✨ New Features:
  - AI Models: Added support for Gemini 3, Gemini 3 Pro with image preview, and GPT-5.1
  - Import: ChatGPT conversation import feature
  - Agent: Git Bash detection and requirement check for Windows agents
  - Search: Native language emoji search with CLDR data format
  - Provider: Endpoint type support for cherryin provider
  - Debug: Local crash mini dump file for better diagnostics

  🐛 Important Bug Fixes:
  - Error Handling: Improved error display in AiSdkToChunkAdapter
  - Database: Optimized DatabaseManager and fixed libsql crash issues
  - Memory: Fixed EventEmitter memory leak in useApiServer hook
  - Messages: Fixed adjacent user messages appearing when assistant message contains error only
  - Tools: Fixed missing execution state for approved tool permissions
  - File Processing: Fixed "no such file" error for non-English filenames in open-mineru
  - PDF: Fixed mineru PDF validation and 403 errors
  - Images: Fixed base64 image save issues
  - Search: Fixed URL context and web search capability
  - Models: Added verbosity parameter support for GPT-5 models
  - UI: Improved todo tool status icon visibility and colors
  - Providers: Fixed api-host for vercel ai-gateway and gitcode update config

  ⚡ Improvements:
  - SDK: Updated Google and OpenAI SDKs with new features
  - UI: Simplified knowledge base creation modal and agent creation form
  - Tools: Replaced renderToolContent function with ToolContent component
  - Architecture: Namespace tool call IDs with session ID to prevent conflicts
  - Config: AI SDK configuration refactoring

  <!--LANG:zh-CN-->
  v1.7.0-rc.2 新特性

  ✨ 新功能:
  - AI 模型：新增 Gemini 3、Gemini 3 Pro 图像预览支持，以及 GPT-5.1
  - 导入：ChatGPT 对话导入功能
  - Agent：Windows Agent 的 Git Bash 检测和要求检查
  - 搜索：支持本地语言 emoji 搜索（CLDR 数据格式）
  - 提供商：cherryin provider 的端点类型支持
  - 调试：启用本地崩溃 mini dump 文件，方便诊断

  🐛 重要修复:
  - 错误处理：改进 AiSdkToChunkAdapter 的错误显示
  - 数据库：优化 DatabaseManager 并修复 libsql 崩溃问题
  - 内存：修复 useApiServer hook 中的 EventEmitter 内存泄漏
  - 消息：修复当助手消息仅包含错误时相邻用户消息出现的问题
  - 工具：修复批准工具权限缺少执行状态的问题
  - 文件处理：修复 open-mineru 处理非英文文件名时的"无此文件"错误
  - PDF：修复 mineru PDF 验证和 403 错误
  - 图片：修复 base64 图片保存问题
  - 搜索：修复 URL 上下文和网络搜索功能
  - 模型：为 GPT-5 模型添加 verbosity 参数支持
  - UI：改进 todo 工具状态图标可见性和颜色
  - 提供商：修复 vercel ai-gateway 和 gitcode 更新配置的 api-host

  ⚡ 改进:
  - SDK：更新 Google 和 OpenAI SDK，新增功能和修复
  - UI：简化知识库创建模态框和 agent 创建表单
  - 工具：用 ToolContent 组件替换 renderToolContent 函数，提升可读性
  - 架构：用会话 ID 命名工具调用 ID 以防止冲突
  - 配置：AI SDK 配置重构
  <!--LANG:END-->
releaseDate: '2025-11-24T03:59:39.439Z'
